class java::config inherits java {
  #--
  #-- Create a simbolic link 
  #--
	file { '/usr/lib/java':
	  ensure => 'link',
	  target => '${source}jdk-${java_version}',
	}
  #--
  #-- Copy java profile 
  #--
  file { 'copy_java_profile':
    ensure  => 'present',
    owner   => 'root',
    group   => 'root',
    mode    => '+x',    
    path    => "/etc/profile.d/",
    source  => "puppet:///modules/java.sh",
  }

}